package com.usky.website.domain;

import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-08-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    private String pid;

    private String mid;

    /**
     * 栏目名称
     */
    private String name;

    /**
     * 栏目简称
     */
    private String sname;

    /**
     * 是否首页栏目
     */
    @TableField("isMenu")
    private String isMenu;

    /**
     * 是否新栏目
     */
    @TableField("isNew")
    private String isNew;

    /**
     * 页面模板
     */
    private String tpl;

    private String website;

    @TableField("imagePath")
    private String imagePath;

    private String title;

    private String metakeywords;

    private String metadescription;

    private LocalDateTime createdate;

    private LocalDateTime modifydate;

    private Integer version;

    /**
     * 栏目图片
     */
    private String sortindex;

    private String status;


}
